package tools.healthcheck;

import org.netkernel.layer0.nkf.INKFRequest;
import org.netkernel.layer0.nkf.INKFRequestContext;
import org.netkernel.layer0.nkf.INKFResponse;
import org.netkernel.layer0.nkf.INKFResponseReadOnly;
import org.netkernel.module.standard.endpoint.StandardAccessorImpl;

public class HealthcheckAccessor extends StandardAccessorImpl
{
	public void onSource(INKFRequestContext aContext) throws Exception
	{		
		INKFRequest req = aContext.createRequest("active:xslt");
		req.addArgument("operator", "res:/tools/healthcheck/styleHealthcheck.xsl");
		req.addArgument("operand", "netkernel:/environment");
		req.addArgument("config", "netkernel:/config");
		req.addArgument("uptime", "netkernel:/uptime");
		INKFResponseReadOnly resp = aContext.issueRequestForResponse(req);
		
		INKFResponse respOut = aContext.createResponseFrom(resp);
		String instanceId = aContext.source("netkernel:/config/netkernel.instance.identifier",String.class);
		respOut.setHeader("WrappedControlPanel", "System Information for "+instanceId);
	}
}
