package tools.scriptplaypen;

import java.util.Iterator;

import org.netkernel.container.IKernel;
import org.netkernel.layer0.nkf.INKFRequestContext;
import org.netkernel.layer0.representation.impl.HDSBuilder;
import org.netkernel.module.standard.endpoint.StandardAccessorImpl;
import org.netkernel.urii.ISpaceWithIdentity;

public class FindLanguageRuntimes extends StandardAccessorImpl
{
	public void onSource(INKFRequestContext aContext) throws Exception
	{
		HDSBuilder b = new HDSBuilder();
		b.pushNode("config");
		
		IKernel k=aContext.getKernelContext().getKernel();
		for (Iterator<ISpaceWithIdentity> i= k.getSpaces(); i.hasNext(); )
		{	ISpaceWithIdentity space=i.next();
			String id=space.getIdentifier().toString();
			if (id.startsWith("urn:org:netkernel:lang:"))
			{	b.pushNode("space");
				b.addNode("uri", id);
				b.popNode();
			}
		}
		aContext.createResponseFrom(b.getRoot());
		
	}
}
